Bug 14996 - Fix ldap simple bind with TLS auditing
Summary: Fix ldap simple bind with TLS auditing
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB (show other bugs)
Version: 4.15.5
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-02 12:56 UTC by Stefan Metzmacher
Modified: 2022-04-04 12:51 UTC (History)
4 users (show)

See Also:


Attachments
Patches for v4-16-test (5.37 KB, patch)
2022-03-02 13:01 UTC, Stefan Metzmacher
metze: review? (abartlet)
jsutton: review+
metze: review? (dbagnall)
Details
Patches for v4-15-test (5.37 KB, patch)
2022-03-02 13:02 UTC, Stefan Metzmacher
metze: review? (abartlet)
jsutton: review+
metze: review? (dbagnall)
Details
Patches for v4-14-test (5.37 KB, patch)
2022-03-02 13:03 UTC, Stefan Metzmacher
metze: review? (abartlet)
jsutton: review+
metze: review? (dbagnall)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2022-03-02 12:56:27 UTC
We use this for the audit log:

- "simple bind/TLS" for non-tls
- "simple bind" for tls

This is reversed...
Comment 1 Stefan Metzmacher 2022-03-02 13:01:38 UTC
Created attachment 17187 [details]
Patches for v4-16-test
Comment 2 Stefan Metzmacher 2022-03-02 13:02:15 UTC
Created attachment 17188 [details]
Patches for v4-15-test
Comment 3 Stefan Metzmacher 2022-03-02 13:03:04 UTC
Created attachment 17189 [details]
Patches for v4-14-test
Comment 4 Jule Anger 2022-03-07 08:04:24 UTC
Pushed to autobuild-v4-{16,15,14}-test.
Comment 5 Samba QA Contact 2022-03-07 09:29:04 UTC
This bug was referenced in samba v4-15-test:

8fbb56bdb42e0d84a150350876e8d2312438782c
078088833a468977c2f3e5ce1d6d7f358ed94e56
Comment 6 Samba QA Contact 2022-03-07 10:12:03 UTC
This bug was referenced in samba v4-16-test:

5dee3a6834ca69f8623cd270028922818270d5ab
c240b977dbea2976ad2567f349b05c29755c037b
Comment 7 Samba QA Contact 2022-03-07 11:55:46 UTC
This bug was referenced in samba v4-14-test:

f656f6c91797ddbe06ab5f5de678abf52fdf1251
78d24902c7995e6b2fcb061a345371508d37f549
Comment 8 Jule Anger 2022-03-07 15:03:20 UTC
Closing out bug report.

Thanks!
Comment 9 Samba QA Contact 2022-03-08 14:57:50 UTC
This bug was referenced in samba v4-16-stable (Release samba-4.16.0rc5):

5dee3a6834ca69f8623cd270028922818270d5ab
c240b977dbea2976ad2567f349b05c29755c037b
Comment 10 Samba QA Contact 2022-03-15 13:26:10 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.6):

8fbb56bdb42e0d84a150350876e8d2312438782c
078088833a468977c2f3e5ce1d6d7f358ed94e56
Comment 11 Samba QA Contact 2022-04-04 12:51:00 UTC
This bug was referenced in samba v4-14-stable (Release samba-4.14.13):

f656f6c91797ddbe06ab5f5de678abf52fdf1251
78d24902c7995e6b2fcb061a345371508d37f549